/**
  ******************************************************************************
  * File Name          : adc.h
  * Description        : ADC defines
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __ADC_H
#define __ADC_H

#include "stm32f7xx_hal.h"
#include "main.h"

#define MONO_SWITCH_PIN		IO_3_PIN
#define MONO_SWITCH_PORT	IO_3_PORT
#define MONO_LED_PIN		LED1_PIN
#define MONO_LED_PORT		LED1_PORT
#define CLIP_CH1_LED_PIN	LED2_PIN
#define CLIP_CH1_LED_PORT	LED2_PORT
#define CLIP_CH2_LED_PIN	LED3_PIN
#define CLIP_CH2_LED_PORT	LED3_PORT

#define LED_ON(PIN, PORT)	HAL_GPIO_WritePin(PORT, PIN, GPIO_PIN_SET)
#define LED_OFF(PIN, PORT)	HAL_GPIO_WritePin(PORT, PIN, GPIO_PIN_RESET)

void ADC_Init(void);
void ADC_DeInit(void);
void ADC_Status(void);
void ADC_Reset(void);
void ADC_SetFS(uint32_t fs);
void ADC_SetMono(bool mono);
void ADC_Record(void);

extern I2C_HandleTypeDef *adc_i2c;

#endif /* __ADC_H */
