/**
  ******************************************************************************
  * File Name          : ak5394.h
  * Description        : AK4118 defines
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __AK5394_H
#define __AK5394_H

#include <stdio.h>
#include "main.h"
#include "adc.h"

/* AK5394 */
#define AK5394_SETTLING_TIME		30000		// VREF settling time in 100us
#define AK5394_RSTN_PULSE_WIDTH		1000		// RSTN pulse width in 100us

/* AK5394 GPIO pins */
#define AK5394_CLK_SEL_PIN			I2SIN_OUT1_PIN	// AK5394 clock select
#define AK5394_CLK_SEL_PORT			I2SIN_OUT1_PORT
#define AK5394_RSTN_PIN				I2SIN_OUT2_PIN	// AK5394 RSTN
#define AK5394_RSTN_PORT			I2SIN_OUT2_PORT
#define AK5394_DFS0_PIN				I2SIN_OUT3_PIN	// AK5394 DFS0
#define AK5394_DFS0_PORT			I2SIN_OUT3_PORT
#define AK5394_DFS1_PIN				I2SIN_OUT4_PIN	// AK5394 DFS1
#define AK5394_DFS1_PORT			I2SIN_OUT4_PORT

void AK5394_Init(void);
void AK5394_Status(void);
void AK5394_Reset(void);
void AK5394_ResetStart(void);
void AK5394_ResetStop(void);
void AK5394_SetFS(uint32_t fs);

#endif /* __5394_H */
