/**
  ******************************************************************************
  * File Name          : config.h
  * Description        : Configuration defines
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __CONFIG_H
#define __CONFIG_H

#include "main.h"
#include <stdbool.h>

#define CFG_I2S_OUT			0
#define CFG_I2S_IN			1
#define CFG_I2S_OUT_16BIT	0
#define CFG_I2S_OUT_24BIT	0
#define CFG_I2S_OUT_32BIT	1
#define CFG_I2S_OUT_RAW		1
#define CFG_I2S_IN_16BIT	0
#define CFG_I2S_IN_24BIT	0
#define CFG_I2S_IN_32BIT	1
#define CFG_UAC2			1
#define CFG_UAC1			0
#define CFG_DEBUG			0
#define CFG_REVISION		1
#define CFG_AK5394_PID		1
#define CFG_ES9822PRO_PID	2

typedef enum
{
	CLK_11M_12M     = 0,
	CLK_22M_24M     = 1,
	CLK_45M_49M     = 2,
	CLK_90M_98M     = 3,
} CLK_FREQ_TypeDef;

typedef enum
{
	ADC_UNDEF       = 0,
	ADC_AK5394      = 1,
	ADC_ES9822PRO   = 2,
} I2S_ADC_TypeDef;

typedef struct
{
	bool                    uac1;
	bool                    uac2;
	bool                    i2s_out;
	bool                    i2s_in;
	bool                    debug;
	uint8_t					revision;
	CLK_FREQ_TypeDef        adc_clk_frequency;
	I2S_ADC_TypeDef         adc;
} CFG_TypeDef;

extern CFG_TypeDef _cfg;

void CFG_Init();

#endif /* __CONFIG_H */
