/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f7xx_hal.h"
#include "config.h"

void Error_Handler(void);

#define I2SIN_SCL_PIN		GPIO_PIN_10
#define I2SIN_SCL_PORT		GPIOB
#define I2SIN_SDA_PIN		GPIO_PIN_11
#define I2SIN_SDA_PORT		GPIOB
#define I2SIN_FS_PIN		GPIO_PIN_13
#define I2SIN_FS_PORT		GPIOE
#define I2SIN_SCK_PIN		GPIO_PIN_12
#define I2SIN_SCK_PORT		GPIOE
#define I2SIN_SD_PIN		GPIO_PIN_11
#define I2SIN_SD_PORT		GPIOE

#define I2SIN_OUT1_PIN		GPIO_PIN_13
#define I2SIN_OUT1_PORT		GPIOD
#define I2SIN_OUT2_PIN		GPIO_PIN_12
#define I2SIN_OUT2_PORT		GPIOD
#define I2SIN_OUT3_PIN		GPIO_PIN_6
#define I2SIN_OUT3_PORT		GPIOA
#define I2SIN_OUT4_PIN		GPIO_PIN_4
#define I2SIN_OUT4_PORT		GPIOA
#define I2SIN_IN1_PIN		GPIO_PIN_2
#define I2SIN_IN1_PORT		GPIOA
#define I2SIN_IN2_PIN		GPIO_PIN_3
#define I2SIN_IN2_PORT		GPIOA

#define IO_0_PIN			GPIO_PIN_5
#define IO_0_PORT			GPIOE
#define IO_1_PIN			GPIO_PIN_4
#define IO_1_PORT			GPIOE
#define IO_2_PIN			GPIO_PIN_1
#define IO_2_PORT			GPIOE
#define IO_3_PIN			GPIO_PIN_0
#define IO_3_PORT			GPIOE

#define LED1_PIN			GPIO_PIN_9
#define LED1_PORT			GPIOA
#define LED2_PIN			GPIO_PIN_0
#define LED2_PORT			GPIOC
#define LED3_PIN			GPIO_PIN_3
#define LED3_PORT			GPIOC

#define LOBYTE(x)  ((uint8_t)((x) & 0x00FFU))
#define HIBYTE(x)  ((uint8_t)(((x) & 0xFF00U) >> 8U))
#define MIN(a, b)  (((a) < (b)) ? (a) : (b))
#define MAX(a, b)  (((a) > (b)) ? (a) : (b))

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
