/**
  ******************************************************************************
  * File Name          : util.h
  * Description        : util functions
  ******************************************************************************
  */
#ifndef UTIL_H
#define UTIL_H

#include <stm32f7xx_hal_gpio.h>

#define GPIO_SetPinLow(GPIOx, GPIO_Pin)			((GPIOx)->BSRR = (uint32_t)(((uint32_t)GPIO_Pin) << 16))
#define GPIO_SetPinHigh(GPIOx, GPIO_Pin)		((GPIOx)->BSRR = (uint32_t)(GPIO_Pin))
#define GPIO_SetPinValue(GPIOx, GPIO_Pin, val)	((val) ? GPIO_SetPinHigh(GPIOx, GPIO_Pin) : GPIO_SetPinLow(GPIOx, GPIO_Pin))
#define CHECK_BIT(x, pos) 						((x & (1UL << pos)) ? 1 : 0)

uint16_t GPIO_GetPortSource(GPIO_TypeDef*);
void GPIO_INT_EnableClock(GPIO_TypeDef*);

#endif
