/* Kernel includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

#include <stdio.h>
#include "ui_task.h"

#define UI_QUEUE_LENGTH			( 100 )
#define	UI_TASK_PRIORITY		( tskIDLE_PRIORITY + 0 )
#define UI_TASK_PERIOD			portMAX_DELAY

static void ui_task(void* pvParameters)
{
	ui_msg_t msg;

	for(;;){
		if (xQueueReceive( ui_queue, &msg, UI_TASK_PERIOD )) {
			printf("%s\r\n", msg.buf);
		}
	}
}

void vStartUITask( void )
{
	ui_queue = xQueueCreate( UI_QUEUE_LENGTH, sizeof( ui_msg_t ) );
	if (ui_queue != NULL) {
		xTaskCreate( ui_task, "UI", configMINIMAL_STACK_SIZE, NULL, UI_TASK_PRIORITY, NULL );
	}
}

