/**
  ******************************************************************************
  * @file           : usb_device.c
  * @version        : v1.0
  * @brief          : This file implements the USB Device
  ******************************************************************************
  */

#include "usb_device.h"
#include "usbd_core.h"
#include "usbd_desc.h"
#include "usbd_audio.h"

/* USB Device Core handle declaration. */
USBD_HandleTypeDef hUsbDevice;

/**
  * Init USB device Library, add supported class and start the library
  * @retval None
  */
void USB_DEVICE_Init(void)
{
#ifdef USE_USB_FS
  /* Init Device Library, add supported class and start the library. */
  if (USBD_Init(&hUsbDevice, &USBD_Desc, DEVICE_FS) != USBD_OK)
  {
    Error_Handler();
  }
  if (USBD_RegisterClass(&hUsbDevice, USBD_AUDIO_CLASS) != USBD_OK)
  {
    Error_Handler();
  }
  if (USBD_Start(&hUsbDevice) != USBD_OK)
  {
    Error_Handler();
  }
#else
  /* Init Device Library, add supported class and start the library. */
  if (USBD_Init(&hUsbDevice, &USBD_Desc, DEVICE_HS) != USBD_OK)
  {
    Error_Handler();
  }
  if (USBD_RegisterClass(&hUsbDevice, USBD_AUDIO_CLASS) != USBD_OK)
  {
    Error_Handler();
  }
  if (USBD_Start(&hUsbDevice) != USBD_OK)
  {
    Error_Handler();
  }
#endif
}
